Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.event
Class TreeExpansionBroadcaster

    java.lang.Object
      org.jdesktop.swingx.event.TreeExpansionBroadcaster

All Implemented Interfaces:
  java.util.EventListener, javax.swing.event.TreeExpansionListener

    public class TreeExpansionBroadcaster

extends java.lang.Object
implements javax.swing.event.TreeExpansionListener

Helper to listen to TreeExpansion events and notify with a remapped source.

Author:
  Jeanette Winzenburg

Constructor Summary
`TreeExpansionBroadcaster(java.lang.Object source)`

Method Summary
`void` | `addTreeExpansionListener(javax.swing.event.TreeExpansionListener l)`
`void` | `removeTreeExpansionListener(javax.swing.event.TreeExpansionListener l)`
`void` | `treeCollapsed(javax.swing.event.TreeExpansionEvent event)`
`void` | `treeExpanded(javax.swing.event.TreeExpansionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeExpansionBroadcaster

    public TreeExpansionBroadcaster(java.lang.Object source)

Method Detail

### addTreeExpansionListener

    public void addTreeExpansionListener(javax.swing.event.TreeExpansionListener l)

### removeTreeExpansionListener

    public void removeTreeExpansionListener(javax.swing.event.TreeExpansionListener l)

### treeExpanded

    public void treeExpanded(javax.swing.event.TreeExpansionEvent event)

  Specified by:
    `treeExpanded` in interface `javax.swing.event.TreeExpansionListener`

### treeCollapsed

    public void treeCollapsed(javax.swing.event.TreeExpansionEvent event)

  Specified by:
    `treeCollapsed` in interface `javax.swing.event.TreeExpansionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.